# gbp-clone

## Name

gbp-clone -- Clone a repository from remote

## Synopsis

gbp clone [`--version`] [`--help`] [`--verbose`] [`--color=``[auto|on|off]`] [`--color-scheme=``COLOR_SCHEME`] [`--all`] [`--[no-]pristine-tar`] [`--debian-branch=``branch_name`] [`--upstream-branch=``branch_name`] [`--depth=``depth`] [`--reference=``repository`] `remote_uri`

## DESCRIPTION

gbp clone clones a remote repository and sets up tracking branches for the debian, upstream and pristine-tar branches. This way you can easily update later using gbp pull.

## OPTIONS

`--version` | Print version of the program, i.e. version of the git-buildpackage suite
`-v`, `--verbose` | Verbose execution
`-h`, `--help` | Print help and exit
`--color=``[auto|on|off]` | Whether to use colored output.

`--color-scheme=``COLOR_SCHEME`

Colors to use in output (when color is enabled). The format for COLOR_SCHEME is '<debug>:<info>:<warning>:<error>'. Numerical values and color names are accepted, empty fields imply the default color. For example, `--git-color-scheme=``'cyan:34::'` would show debug messages in cyan, info messages in blue and other messages in default (i.e. warning and error messages in red).

`--all` | Track all branches, not only `debian` and `upstream`.
`--debian-branch`=`branch_name` | The branch in the Git repository the Debian package is being developed on, default is `master`.
`--upstream-branch`=`branch_name` | The branch in the Git repository the upstream sources are put onto. Default is `upstream`.
`--depth`=`depth` | Git history depth, for creating shallow git clones.
`--reference`=`repository` | Local repository to use as alternate instead of re-copying data from remote repository.
`--pristine-tar` | Track pristine tar branch.

## CONFIGURATION FILES

Several `gbp.conf` files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5)> manpage for details.

## SEE ALSO

gbp-buildpackage(1)>, gbp-pull(1)>, gbp.conf(5)>

## AUTHOR

Guido Guenther `<agx@sigxcpu.org>`